LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 03-05-2007, 09:57 AM   #1
Prestaul
LQ Newbie
 
Registered: Mar 2007
Location: Denver, CO
Distribution: KnoppMyth
Posts: 7

Rep: Reputation: 0
ATI Radeon X300 SE Driver Problems


I'm using KnoppMyth so forgive me for posting here, but the community is much bigger and I need the help.

I installed the ATI Radeon X300 SE graphics card before installing KnoppMyth and it worked great out of the box with my Dell monitor, but the problem came when I try to get S-Video working with my TV. When I first plugged it in and booted up I can see text running across the TV but is flashed by quickly and is constantly moving. When X starts it goes completely nuts and all I get is black and white lines flashing across the screen. BTW It was using: Driver "ati" in the xorg.conf file.

I tried modifying the HorizSync and VertRefresh rates but I honestly don't know what they should be. I tried several values and they each changed the pattern on the screen but didn't work. So I installed the proprietary ati drivers ( fglrx v8.34.8 ) and I have the same problem. I've set the TVFormat to NTSC, TVStandard to VIDEO and resolution to 800x600 and honestly if I change much of anything then I end up with blank screens on both my monitor and on the TV.

I don't want a dual screen setup, I just need to get the TV out working. I can post my xorg.conf file and Xorg.0.log files if that will help but I need to get my monitor's picture back first.
 
Old 03-05-2007, 10:39 AM   #2
MintJulep
LQ Newbie
 
Registered: Mar 2007
Distribution: Ubuntu, Xubuntu, Linux Mint
Posts: 3

Rep: Reputation: 0
I am not sure I can help you much with this problem but I do have a suggestion. Have you researched the refresh rates of the video card (maybe through ATI's website)? Maybe check to see if it will list what the s-video refresh rate should be set to?

I suppose it is possible that maybe it isn't even the refresh rate that's the problem, it could just be a driver problem!?!?

I have the same video card as you so I am kind of interested in what you are trying to do....if you'd like to share your plans, I would be most interested!

Maybe I can try doing the same thing in my distro [LinuxMint] to see if it works!

Good Luck!
 
Old 03-08-2007, 01:46 AM   #3
Prestaul
LQ Newbie
 
Registered: Mar 2007
Location: Denver, CO
Distribution: KnoppMyth
Posts: 7

Original Poster
Rep: Reputation: 0
So I've found a little more. I installed the ATI drivers using the installer and I think a dependency may be missing. I dug up this error while loading X.

Code:
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Mar  8 00:31:04 2007
(==) Using config file: "/etc/X11/xorg.conf"
dlopen: libstdc++.so.5: cannot open shared object file: No such file or directory
(EE) Failed to load /usr/lib/xorg/modules/drivers/fglrx_drv.so
(EE) Failed to load module "fglrx" (loader failed, 7)
I don't think the problem is in my xorg.conf file anymore. The driver is not loading at all... Any ideas out there??? Thanks.
 
Old 03-08-2007, 02:48 AM   #4
Prestaul
LQ Newbie
 
Registered: Mar 2007
Location: Denver, CO
Distribution: KnoppMyth
Posts: 7

Original Poster
Rep: Reputation: 0
I just tried compiling the drivers myself and the script fails:
Code:
root@mythtv:/lib/modules/fglrx/build_mod# sh make.sh
ATI module generator V 2.0
==========================
initializing...
cat: /lib/modules/2.6.18-chw-13/build/include/linux/version-*.h: No such file or directory
make.sh: line 525: [: =: unary operator expected
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
 Assuming default VMAP API
 Assuming default munmap API
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.18-chw-13/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.18-chw-13'
make[1]: *** No rule to make target `modules'.  Stop.
make[1]: Leaving directory `/usr/src/linux-headers-2.6.18-chw-13'
make: *** [kmod_build] Error 2
build failed with return value 2
I think I'm getting closer to the problem, but I could still use some tips on how to get through this... Anybody?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Can't Get 3D acceleration with ATI Radeon X300 SE in slackware binary1011100 Slackware 3 06-18-2006 02:40 PM
ATI Radeon x300 Driver Problems Kavon89 Linux - Hardware 4 01-24-2006 01:09 PM
Ati Radeon Mobility X300 Graphics Card Murdock1979 Linux - Hardware 4 01-15-2006 01:24 AM
Cannot start X with ATi Radeon X300 on Slackware 10.1 belga Linux - Hardware 2 07-14-2005 01:18 PM
radeon x300 linux driver edmlo Linux - Hardware 4 03-11-2005 07:10 AM


All times are GMT -5. The time now is 11:39 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration